org.apache.mina.core.file

## Class FilenameFileRegion

- java.lang.Object
- - org.apache.mina.core.file.DefaultFileRegion
  - - org.apache.mina.core.file.FilenameFileRegion

- All Implemented Interfaces:
    FileRegion

      public class FilenameFileRegion
      extends DefaultFileRegion

  TODO Add documentation
  Version:
    $Rev$, $Date$
  Author:
    The Apache MINA Project (dev@mina.apache.org)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilenameFileRegion(File file, FileChannel channel)`
    `FilenameFileRegion(File file, FileChannel channel, long position, long remainingBytes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFilename()` Provides an absolute filename for the underlying FileChannel.

    - ### Methods inherited from class org.apache.mina.core.file.DefaultFileRegion

      `getFileChannel, getPosition, getRemainingBytes, getWrittenBytes, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilenameFileRegion

          public FilenameFileRegion(File file,
                            FileChannel channel)
                             throws IOException

      Throws:
        `IOException`

    - #### FilenameFileRegion

          public FilenameFileRegion(File file,
                            FileChannel channel,
                            long position,
                            long remainingBytes)

  - ### Method Detail

    - #### getFilename

          public String getFilename()

      Description copied from interface: `FileRegion`
      Provides an absolute filename for the underlying FileChannel.
      Specified by:
        `getFilename` in interface `FileRegion`
      Overrides:
        `getFilename` in class `DefaultFileRegion`
      Returns:
        the absolute filename, or `null` if the FileRegion does not know the filename

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.